| Irrlicht 3D Engine |

Public Member Functions
irr::scene::IAnimatedMeshMD3 Class Reference

Interface for using some special functions of MD3 meshes. More...

`#include <IAnimatedMeshMD3.h>`

Inheritance diagram for irr::scene::IAnimatedMeshMD3:

List of all members.

## Public Member Functions

- virtual SMD3Mesh * getOriginalMesh ()=0
    get the original md3 mesh.
- virtual SMD3QuaternionTagList * getTagList (s32 frame, s32 detailLevel, s32 startFrameLoop, s32 endFrameLoop)=0
    get the tag list of the mesh.
- virtual void setInterpolationShift (u32 shift, u32 loopMode)=0
    tune how many frames you want to render inbetween.

## Detailed Description

Interface for using some special functions of MD3 meshes.

Definition at line 286 of file IAnimatedMeshMD3.h.

## Member Function Documentation

virtual SMD3Mesh* irr::scene::IAnimatedMeshMD3::getOriginalMesh | ( |  | ) | `[pure virtual]`

get the original md3 mesh.

virtual SMD3QuaternionTagList* irr::scene::IAnimatedMeshMD3::getTagList | ( | s32 | frame,
|  | s32 | detailLevel,
|  | s32 | startFrameLoop,
|  | s32 | endFrameLoop
| ) |  | `[pure virtual]`

get the tag list of the mesh.

virtual void irr::scene::IAnimatedMeshMD3::setInterpolationShift | ( | u32 | shift,
|  | u32 | loopMode
| ) |  | `[pure virtual]`

tune how many frames you want to render inbetween.

The documentation for this class was generated from the following file:

- IAnimatedMeshMD3.h